language: python
python:
  - "2.7"
before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -qq libfreetype6-dev
  - sudo apt-get install -qq libpng12-dev
  - wget http://ftp.us.debian.org/debian/pool/main/t/trace-cmd/trace-cmd_2.4.0-1_amd64.deb
  - sudo dpkg -i trace-cmd_2.4.0-1_amd64.deb
install:
  - pip install matplotlib
  - pip install Cython --install-option="--no-cython-compile"
  - pip install pandas
  - pip install ipython[all]
  - pip install --upgrade trappy
script: nosetests
virtualenv:
  system_site_packages: true
notifications:
  email:
    recipients:
      - javi.merino@arm.com
    on_success: never
    on_failure: always
cache:
  - pip
